私たちのアプリをインストールしてください 🪄 アドレスバーの右上にあるアイコンをクリックしてください。

アノテーション

GET https://analyticse.com/api/annotations/
curl --request GET \
--url 'https://analyticse.com/api/annotations/' \
--header 'Authorization: Bearer {api_key}' \
パラメータ 詳細 説明
website_id オプション 整数
search オプション 文字列 検索文字列。
search_by オプション 文字列 検索するフィールドは何ですか。許可されている値は:name
datetime_field オプション 文字列 許可された値: datetime, last_datetime, chart_datetime
datetime_start オプション 文字列 開始日時
datetime_end オプション 文字列 終了日時
order_by オプション 文字列 結果をどのフィールドで並べ替えるか。許可されている値は:annotation_id, website_id, datetime, last_datetime, name, chart_datetime
order_type オプション 文字列 結果の並び順。許可されている値は、昇順のためのASCと、降順のためのDESCです。
page オプション 整数 結果を取得したいページ番号。デフォルトは1です。
results_per_page オプション 整数 1ページあたりの結果数はどのくらいにしますか。許可されている値は:10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。
{
    "data": [
        {
            "id": 1,
            "website_id": 1,
            "user_id": 1,
            "name": "Example",
            "chart_datetime": "2026-09-12 00:42:14",
            "last_datetime": null,
            "datetime": "2026-09-12 00:42:14"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://analyticse.com/api/annotations?page=1",
        "last": "https://analyticse.com/api/annotations?page=1",
        "next": null,
        "prev": null,
        "self": "https://analyticse.com/api/annotations?page=1"
    }
}
GET https://analyticse.com/api/annotations/{annotation_id}
curl --request GET \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "website_id": 1,
        "user_id": 1,
        "name": "Example",
        "chart_datetime": "2026-09-12 00:42:14",
        "last_datetime": null,
        "datetime": "2026-09-12 00:42:14"
    }
}
POST https://analyticse.com/api/annotations
パラメータ 詳細 説明
website_id 必須 整数 -
name 必須 文字列 -
chart_datetime 必須 文字列 Y-m-d H:i:s
curl --request POST \
--url 'https://analyticse.com/api/annotations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'chart_datetime=2026-09-12 00:42:14' \
{
    "data": {
        "id": 1,
        "website_id": 1,
        "user_id": 1,
        "name": "Example",
        "chart_datetime": "2026-09-12 00:42:14",
        "last_datetime": null,
        "datetime": "2026-09-12 00:42:14"
    }
}
POST https://analyticse.com/api/annotations/{annotation_id}
パラメータ 詳細 説明
website_id オプション 整数 -
name オプション 文字列 -
chart_datetime オプション 文字列 Y-m-d H:i:s
curl --request POST \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
    "data": {
        "id": 1,
        "website_id": 1,
        "user_id": 1,
        "name": "Example",
        "chart_datetime": "2026-09-12 00:42:14",
        "last_datetime": "2026-09-12 00:42:14",
        "datetime": "2026-09-12 00:42:14"
    }
}
DELETE https://analyticse.com/api/annotations/{annotation_id}
curl --request DELETE \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \